package com.mosty.bkzx.sjjs.vo;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PersonIdentifyObject implements Serializable,Cloneable{

    private static final long serialVersionUID = 1L;

    /**
     *  图像检索目标ID
     */
    private String QueryID;

    /**
     * 最大返回数量
     */
    private int MaxNumRecordReturn;

    /**
     * 图像列表
     */
    private ImageList ImageList;

    /**
     * 归属分类标签
     */
    private String TabIDList;

    /**
     * 算法标识
     */
    private String AlgorithmID;

    /**
     * 相似度
     */
    private double Threshold;

    /**
     * 设备Mac地址
     */
    private String ReqDeviceID;

    /**
     * 请求业务类型（01、轨迹查询，02、分析服务，03、身份核验，04、其他）
     */
    private String BusinessType;

    /**
     * 业务ID
     */
    private String BusinessID;

    /**
     * 警种(01、科信，02、邢侦，03、治安，04、情报，05、反恐，06、国保，07、禁毒，
     * 08、特勤，09、经侦，10、铁路公安，11、网安，12、监所，13、警务保障，14、交通管理，15、海关，16、民航，99、其他)
     */
    private String Category;

    /**
     * 业务使用场景(01、总重大活动，02、反恐维稳，03、刑侦破案，04、社会民生，05、疫情防控，99、其他)
     */
    private String BusinessScene;

    /**
     * 业务请求人姓名
     */
    private String ReqUserName;

    /**
     * 业务请求人身份证号码
     */
    private String ReqUserIDNo;

    /**
     * 业务请求人编号，民警数字证书编号或者警员编号
     */
    private String ReqUserID;

    @JSONField(name = "QueryID")
    public String getQueryID() {
        return QueryID;
    }

    public void setQueryID(String queryID) {
        QueryID = queryID;
    }

    @JSONField(name = "MaxNumRecordReturn")
    public int getMaxNumRecordReturn() {
        return MaxNumRecordReturn;
    }

    public void setMaxNumRecordReturn(int maxNumRecordReturn) {
        MaxNumRecordReturn = maxNumRecordReturn;
    }

    @JSONField(name = "ImageList")
    public ImageList getImageList() {
        return ImageList;
    }

    public void setImageList(ImageList imageList) {
        ImageList = imageList;
    }

    @JSONField(name = "TabIDList")
    public String getTabIDList() {
        return TabIDList;
    }

    public void setTabIDList(String tabIDList) {
        TabIDList = tabIDList;
    }

    @JSONField(name = "Threshold")
    public double getThreshold() {
        return Threshold;
    }

    public void setThreshold(double threshold) {
        Threshold = threshold;
    }

    @JSONField(name = "ReqDeviceID")
    public String getReqDeviceID() {
        return ReqDeviceID;
    }

    public void setReqDeviceID(String reqDeviceID) {
        ReqDeviceID = reqDeviceID;
    }

    @JSONField(name = "BusinessType")
    public String getBusinessType() {
        return BusinessType;
    }

    public void setBusinessType(String businessType) {
        BusinessType = businessType;
    }

    @JSONField(name = "BusinessID")
    public String getBusinessID() {
        return BusinessID;
    }

    public void setBusinessID(String businessID) {
        BusinessID = businessID;
    }

    @JSONField(name = "Category")
    public String getCategory() {
        return Category;
    }

    public void setCategory(String category) {
        Category = category;
    }

    @JSONField(name = "BusinessScene")
    public String getBusinessScene() {
        return BusinessScene;
    }

    public void setBusinessScene(String businessScene) {
        BusinessScene = businessScene;
    }

    @JSONField(name = "ReqUserName")
    public String getReqUserName() {
        return ReqUserName;
    }

    public void setReqUserName(String reqUserName) {
        ReqUserName = reqUserName;
    }

    @JSONField(name = "ReqUserIDNo")
    public String getReqUserIDNo() {
        return ReqUserIDNo;
    }

    public void setReqUserIDNo(String reqUserIDNo) {
        ReqUserIDNo = reqUserIDNo;
    }

    @JSONField(name = "ReqUserID")
    public String getReqUserID() {
        return ReqUserID;
    }

    public void setReqUserID(String reqUserID) {
        ReqUserID = reqUserID;
    }

    @JSONField(name = "AlgorithmID")
    public String getAlgorithmID() {
        return AlgorithmID;
    }

    public void setAlgorithmID(String algorithmID) {
        AlgorithmID = algorithmID;
    }
}
